//                                               -*- C++ -*-
/**
 *  @brief The external header file of otagr
 *
 *  Copyright 2010-2024 Airbus-LIP6-Phimeca
 *
 *  This library is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with this library.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#ifndef OTAGRUM_HXX
#define OTAGRUM_HXX

#include "otagrum/Utils.hxx"
#include "otagrum/NamedDAG.hxx"
#include "otagrum/NamedJunctionTree.hxx"
#include "otagrum/ContinuousTTest.hxx"
#include "otagrum/ContinuousPC.hxx"
#include "otagrum/CorrectedMutualInformation.hxx"
#include "otagrum/ContinuousMIIC.hxx"
#include "otagrum/TabuList.hxx"
#include "otagrum/OTAgrumResourceMap.hxx"
#include "otagrum/JunctionTreeBernsteinCopula.hxx"
#include "otagrum/JunctionTreeBernsteinCopulaFactory.hxx"
#include "otagrum/ContinuousBayesianNetwork.hxx"
#include "otagrum/ContinuousBayesianNetworkFactory.hxx"
#include "otagrum/StratifiedCache.hxx"

#endif // OTAGRUM_HXX

